package Common.Visual.Menus;
import Common.MainModule_;
import Common.Passes.Pass;
import Common.Visual.UI;

import javax.swing.*;
import java.awt.*;
public class FastAccessMenuBar extends VisualiserMenuBar {
    @Override
    public void setSizeLimits() {
        //если задавать PreffredSize 0, скролл НЕ РАБОТАЕТ. Магия!
    }
    public void showPass(Pass pass) {
        JButton button = pass.createButton();
        add(button);
        Dimension d = button.getPreferredSize();
        button.setPreferredSize(new Dimension(d.width, 30));
        revalidate();
        repaint();
    }
    public void Refresh() {
        int limit = MainModule_.instance.getFirstAccessPassesCount();
        Drop();
        int i = 1;
        for (Object pass : MainModule_.instance.getFirstAccessPasses()) {
            showPass((Pass) pass);
            ++i;
            if (i > limit) break;
        }
    }
    public void Drop() {
        UI.Clear(this);
    }
}
